E-MailRelay

Public Member Functions | Public Attributes | List of all members
G::DirectoryList::Item Struct Reference

A directory-entry item for G::DirectoryList. More...

`#include <gdirectory.h>`

Collaboration diagram for G::DirectoryList::Item:
[legend]

## Public Member Functions
bool | operator< (const Item &) const noexcept

## Public Attributes
bool | m_is_dir {false}
bool | m_is_link {false}
Path | m_path
std::string | m_name

## Detailed Description

A directory-entry item for G::DirectoryList.

Definition at line 152 of file gdirectory.h.

## Member Function Documentation

## ◆ operator<()

bool G::DirectoryList::Item::operator< | ( | const Item & | other | ) | const
| inline noexcept

Definition at line 208 of file gdirectory.h.

## Member Data Documentation

## ◆ m_is_dir

bool G::DirectoryList::Item::m_is_dir {false}

Definition at line 154 of file gdirectory.h.

## ◆ m_is_link

bool G::DirectoryList::Item::m_is_link {false}

Definition at line 155 of file gdirectory.h.

## ◆ m_name

std::string G::DirectoryList::Item::m_name

Definition at line 157 of file gdirectory.h.

## ◆ m_path

Path G::DirectoryList::Item::m_path

Definition at line 156 of file gdirectory.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/glib/gdirectory.h